git: 3e766ab07c - main - Add GITARGS to dobuild.sh

Glen Barber gjb at FreeBSD.org
Mon Jan 4 18:38:28 UTC 2021


The branch main has been updated by gjb:

URL: https://cgit.FreeBSD.org/doc/commit/?id=3e766ab07cfba284d32fb482a981a31b15b6f21e

commit 3e766ab07cfba284d32fb482a981a31b15b6f21e
Author:     Glen Barber <gjb at FreeBSD.org>
AuthorDate: 2021-01-04 18:37:07 +0000
Commit:     Glen Barber <gjb at FreeBSD.org>
CommitDate: 2021-01-04 18:38:21 +0000

    Add GITARGS to dobuild.sh
    
    When local.conf exists, GITARGS can be used to append checkout-specific
    arguments to git.
    
    Sponsored by:   Rubicon Communications, LLC (netgate.com)
---
 share/tools/dobuild.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/share/tools/dobuild.sh b/share/tools/dobuild.sh
index 9e16187121..b83e00f0d1 100755
--- a/share/tools/dobuild.sh
+++ b/share/tools/dobuild.sh
@@ -61,7 +61,7 @@ if [ -z "${NOCLEAN}" ]; then
 	rm -Rf doc out 2>/dev/null
 
 	echo "===> Check out the new doc"
-	git clone -b main ${DOCGIT} doc || exit 2
+	git clone ${GITARGS} -b main ${DOCGIT} doc || exit 2
 fi
 
 cd $BUILDDIR/doc || exit 1


More information about the dev-commits-doc-all mailing list